RDKit::Canon::ChiralAtomCompareFunctor Class Reference

`#include <new_canon.h>`

## Public Member Functions

| ChiralAtomCompareFunctor ()
| ChiralAtomCompareFunctor (Canon::canon_atom *atoms, const ROMol &m)
int | operator() (int i, int j) const

## Public Attributes

Canon::canon_atom * | dp_atoms
const ROMol * | dp_mol
bool | df_useNbrs

## Detailed Description

Definition at line 447 of file new_canon.h.

## Constructor & Destructor Documentation

## ChiralAtomCompareFunctor() [1/2]

RDKit::Canon::ChiralAtomCompareFunctor::ChiralAtomCompareFunctor | ( |  | ) |

inline

Definition at line 516 of file new_canon.h.

## ChiralAtomCompareFunctor() [2/2]

RDKit::Canon::ChiralAtomCompareFunctor::ChiralAtomCompareFunctor | ( | Canon::canon_atom * | atoms,
|  | const ROMol & | m
| ) |  |

inline

Definition at line 518 of file new_canon.h.

## Member Function Documentation

## operator()()

int RDKit::Canon::ChiralAtomCompareFunctor::operator() | ( | int | i,
|  | int | j
| ) |  | const

inline

Definition at line 520 of file new_canon.h.

References RDKit::Canon::ATNUM_CLASS_OFFSET, RDKit::Canon::canon_atom::bonds, RDKit::Canon::bondholder::compare(), and PRECONDITION.

## Member Data Documentation

## df_useNbrs

bool RDKit::Canon::ChiralAtomCompareFunctor::df_useNbrs

Definition at line 515 of file new_canon.h.

## dp_atoms

Canon::canon_atom* RDKit::Canon::ChiralAtomCompareFunctor::dp_atoms

Definition at line 513 of file new_canon.h.

## dp_mol

const ROMol* RDKit::Canon::ChiralAtomCompareFunctor::dp_mol

Definition at line 514 of file new_canon.h.

The documentation for this class was generated from the following file:

- new_canon.h